<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwAnalogDigital</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
  <meta content="Manuel Gonzalez Berges" name="author">
</head>
<body>
<p>&nbsp;</p>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Component Name</span><br>
      </td>
      <td colspan="1" rowspan="1"
 style="vertical-align: top; text-align: center;"><span
 style="font-weight: bold;">fwAnalogDigital</span><br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Description<br>
      </strong></td>
      <td colspan="1" width="78%">
      <p>This component contains a set of generic Framework devices to
read/write single values to/from the hardware. The following devices
are included:</p>
      <ul style="margin-left: 40px;">
        <li>Analog&nbsp; Input</li>
        <li>Analog Output</li>
        <li>Analog Input and Output</li>
        <li>Digital Input</li>
        <li>Digital Output<br>
        </li>
        <li>Digital Input and Output<br>
        </li>
      </ul>
Data can be read and/or written using all the address types supported
in the Framework:<br>
      <ul style="margin-left: 40px;">
        <li>OPC</li>
        <li>DIM</li>
        <li>DIP</li>
        <li>MODBUS</li>
        <li>S7</li>
        <li>CMW<br>
        </li>
      </ul>
These devices are useful when connecting to simple hardware which
provides few parameters or when prototyping more complex hardware. In
the later case, the package to integrate new device types should be
used after prototyping. This is included in the component fwDevice and
is covered in the Advanced Course.<br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Dependencies<br>
      </strong></td>
      <td colspan="1">fwCore<br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Additional software required<br>
      </strong></td>
      <td colspan="1">None<br>
      <ul>
        <ul>
        </ul>
      </ul>
      </td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td colspan="1" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Panels</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr valign="top">
      <td colspan="1" rowspan="1"
 style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">This component uses mostly Framework panels coming
from other components. The documentation for those panels is provided
in their source components.<br>
      </td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 1069px; height: 56px;" border="1">
  <tbody>
    <tr>
      <td colspan="1" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Libraries</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr>
      <td colspan="1" rowspan="1" style="vertical-align: top;">This
component doesn't contain any library.<br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
